API ReferenceGenerated Reference
Retrieve async task
Polls a normalized Xenodia async task by ID.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
taskId*string
Xenodia task ID returned by an async request.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.xenodia.xyz/v1/tasks/string"{
"task_id": "string",
"object": "task",
"request_id": "string",
"model": "string",
"type": "image",
"state": "waiting",
"request": {},
"result": {},
"error": {
"message": "string",
"review_required": true
},
"progress": 0,
"poll_url": "string",
"capability_slug": "string",
"capability_version": "string",
"recommended_poll_interval_ms": 0,
"eta_hint_seconds": 0,
"billing": {
"status": "pending"
},
"created_at": 0,
"updated_at": 0,
"completed_at": 0
}{
"error": "bad_request",
"message": "string",
"type": "string",
"code": "string"
}{
"error": "bad_request",
"message": "string",
"type": "string",
"code": "string"
}{
"error": "bad_request",
"message": "string",
"type": "string",
"code": "string"
}{
"error": "bad_request",
"message": "string",
"type": "string",
"code": "string"
}